<?php
require "adventCalendar.php";
$dev = isset($_GET['dev']) ? $_GET['dev'] : false;
?>

<!DOCTYPE html>
<html>
	<head>
		<title>Seline Adventskalender</title>
		<meta name="viewport" content="width=device-width, user-scalable=no" />
		<meta charset="utf-8">
		<meta name="theme-color" content="#2b1616">
		<meta property="og:title" content="Adventskalender Seline">
		<meta property="og:image" content="https://michu-it.com/seline/images/snowflake.png"/>

		<!-- Include main jQuery :) -->
		<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.0.0/jquery.min.js"></script>
		<!-- jQuery Modal Code -->
		<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-modal/0.9.1/jquery.modal.min.js"></script>
		
		<link rel="shortcut icon" type="image/x-icon" href="favicon.ico"/>
		<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/jquery-modal/0.9.1/jquery.modal.min.css" />
		<link rel="stylesheet" type="text/css" href="css/main-adventskalender.css?v=3.1" media="all">

		<!--[if lte IE 9]>
		<style type='text/css'>
			a.advent-calendar-entry:hover .advent-calendar-door { display:none; }
		</style>
		<![endif]-->
		
		<?php if (!$dev) { ?>
			<!-- Matomo -->
			<script type="text/javascript">
			  var _paq = window._paq = window._paq || [];
			  /* tracker methods like "setCustomDimension" should be called before "trackPageView" */
			  _paq.push(['trackPageView']);
			  _paq.push(['enableLinkTracking']);
			  (function() {
				var u="https://analytics.michu-it.com/";
				_paq.push(['setTrackerUrl', u+'matomo.php']);
				_paq.push(['setSiteId', '3']);
				var d=document, g=d.createElement('script'), s=d.getElementsByTagName('script')[0];
				g.type='text/javascript'; g.async=true; g.src=u+'matomo.js'; s.parentNode.insertBefore(g,s);
			  })();
			</script>
			<noscript><p><img src="https://analytics.michu-it.com/matomo.php?idsite=3&amp;rec=1" style="border:0;" alt="" /></p></noscript>
			<!-- End Matomo Code -->
		<?php } ?>
	</head>
	<body>

		<center>
			<p style="color: white; font-family: christmasFont; font-size: 48px; margin: 16px 0px 20px 0px;">Adventskalender Seline</p>
			<div class="mainCalendar">
				<?php if ($dev) {
					$config = file_get_contents("./calendar_dev.json");
				} else {
					$config = file_get_contents("./calendar_prod.json");
				}
				$calendar = new adventCalendar();
				$calendar->load_from_json($config);
				$calendar->render();
				?>
			</div>
			
			<?php if ($calendar->showExtras == "true") { ?>
			<hr>
			<p style="color: white; font-family: christmasFont; font-size: 40px; margin: 16px 0px 20px 0px;">Zite wod nüt sötsch abmache :</p>
			
			<ul style="list-style-type:disc; max-width: 245px; color: white;">
				<li>06.12.2020 - Dr Morge</li>
				<li>11.12.2020 - Dr Abee</li>
				<li>TBD ..</li>
			</ul>
			<?php } ?>
		</center>

	</body>
</html>
